package com.xingxi.unifiedpay.bean;

import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
public class BiandanUnifiedpayOrderRequest extends BaseBiandanUnifiedpayRequest<BiandanUnifiedpayOrderResponse>{

    private Long orderId;
    private String orderNo;
    private String unifiedpayOutTradeNo;
    private String orderStatus;
    private Long sellerId;
    private Integer txAmt;
    private String payerOpenid;

    public BiandanUnifiedpayOrderRequest() {
        super("unifiedpay");
    }

    @Override
    public Class<BiandanUnifiedpayOrderResponse> getResponseClass() {
        return BiandanUnifiedpayOrderResponse.class;
    }
}
